PPIx::Regexp::Token::Interpolation(3)

NAME
PPIx::Regexp::Token::Interpolation - Represent an interpolation in the PPIx::Regexp package.

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new('qr{$foo}smx')->print();

INHERITANCE
"PPIx::Regexp::Token::Interpolation" is a PPIx::Regexp::Token::Code.

"PPIx::Regexp::Token::Interpolation" has no descendants.

DESCRIPTION
This class represents a variable interpolation into a regular expression. In the "SYNOPSIS" the $foo would be represented by an object of this class.

METHODS
This class provides the following public methods beyond those provided by its superclass.

  ppi
This convenience method returns the PPI::Document representing the content. This document should be considered read only.

Note that the content of the returned PPI::Document may not be the same as the content of the original "PPIx::Regexp::Token::Interpolation". This can happen because interpolated variable names may be enclosed in curly brackets, but this does not happen in normal code. For example, in "/${foo}bar/", the content of the "PPIx::Regexp::Token::Interpolation" object will be '${foo}', but the content of the "PPI::Document" will be '$foo'.

SUPPORT
Support is by the author. Please file bug reports at <http://rt.cpan.org>, or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III wyant at cpan dot org

COPYRIGHT AND LICENSE
Copyright (C) 2009-2019 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.